<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package MarComm-AUX
 */

use WP_AUX\Entities\PageTemplateEntity;

$auxTemplate = PageTemplateEntity::getRequested();

get_header();
?>
  <main id="main-content">
    <?php
    $auxTemplate->header->render();
    $auxTemplate->layout->render();
    ?>
  </main>
<?php
if ($footerPart = apply_filters('aux/template_footer_part', '', $auxTemplate)) {
  $auxTemplate->renderTemplatePart($footerPart);
}

get_footer();
